% SPARSE CODING
% Here minimize
% 1/2*(D*W-X)'*(D*W-X) + gamma/2 ||W||_ksp^2
clear;

% Generate synthetic problem
num_features = 128;
num_samples = 1;
num_bases = 1024;

% Dictionary matrix
D = rand(num_features, num_bases); 

% Data matrix
X = randn(num_features, num_samples); 
gamma = 1;
k = 100;

% Computing sparse codes W
W = sparse_coding(X, D, k, gamma);



