###############################################################################################﻿#############
This package contains the MATLAB source code which implements the efficient proximal operator with k-support
norm regularizer proposed in

The k-support norm and convex envelopes of cardinality and rank
A. Eriksson, T. T. Pham, T.-J. Chin and I. Reid 
In Proc. IEEE Conf. on Computer Vision and Pattern Recognition (CVPR), 2015

Copyright (c) 2015
Trung Pham 
School of Computer Science
The University of Adelaide

Anders Eriksson
School of Electrical Engineering and Computer Science
Queensland University of Technology

If you encounter any issues with the code, please feel free to contact me at:
trung.pham@adelaide.edu.au

Last updated: 23 July 2015.

############################################################################################################

The program is free for non-commercial academic use. Any commercial use is strictly prohibited without the 
authors' consent. Please acknowledge the authors by citing the above paper in any academic publications that
have made use of this package or part of it.

If you encounter any problems or questions please email 
trung.pham@adelaide.edu.au.
 
---------------
1. Instructions
---------------
* Uncompress the package.
* Run mex reverse_index.c
* Run sparse_coding_demo.m

--------------
2. License
--------------
Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution
      
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


