# include "mex.h"
# include "math.h"

void mexFunction(
        int nargout,
        mxArray *out[],
        int nargin,
        const mxArray *in[]
        )
{
    int i, N;
    double* x;
    double* sign;
    double* idx;
    
    /* Get input */
    N =(int) mxGetScalar(in[3]);
    x = mxGetPr(in[0]);
    sign = mxGetPr(in[1]);
    idx = mxGetPr(in[2]);
       
    double* y;
    out[0] = mxCreateDoubleMatrix(N,1,mxREAL);
    y = mxGetPr(out[0]);
    
    for(i=0; i< N; i++){
        y[(int)idx[i]-1] = sign[(int)idx[i]-1]*x[i]; 
    } 
}
