function [W] = sparse_coding(X, D, k, gamma)

num_bases = size(D, 2);
num_samples = size(X,2);

% Initalise coding
W0 = randn(num_bases, num_samples);
W0 = vectorize(W0);

%f = @(W) .5* (vectorize(D*reshape(W, num_bases, num_samples)-X)'*vectorize(D*reshape(W, num_bases, num_samples)-X));
gradf = @(W) vectorize(D'*(D*reshape(W, num_bases, num_samples)-X));
% Minimise 1/2*(D*W-X)'*(D*W-X) + gamma/2 ||W||_ksp^2
[W] = proximal_gradient(gradf, gamma, 100000, W0, k, 100);
W = reshape(W, num_bases, num_samples);
end

function A = vectorize(B)
A = B(:);
end